Subject: [PATCH v3 00/18] Refresh to specific version

From: Hartmut Goebel <[email-masked]>
Date: Tue, 20 Dec 2022 10:34:21 +0100

Hi Ludo,

I now at last found time for updating the patch series. Following is the
complete series as I would push it.

> In Guix, “package spec” refers to the syntax that
> ‘specification->package’ accepts, like “guile” or “[email-masked]”.  So we’ll
> have to use another name throughout.  How about “update spec” or
> “refresh spec” for the string, and just “update” for the record?

Using "update" resulted in a conflict with the existing "update-package"
function. Using "refesh" would have names the accessor "refresh-package",
which sounds irritating for me (same for "update". Thus I decided to call the
record "update-spec" and the function "update-string->update.spec" (the name
is use only once).

WDYT?

> Since there are just two fields, it may be simpler to use SRFI-9:

Done.

I also tested the patches with (an updated version of) the test-script I
posted in the first version of the series.

Hartmut Goebel (18):
  upstream-updater: Rename record field.
  import: cpan: Remove unused exports.
  import: Issue error-message if version is given.
  import: sourceforge: Issue error-message if version is given.
  gnu-maintenance: Allow updating to a specific version.
  import: crate: Allow updating to a specific version.
  import: egg: Allow updating to a specific version.
  import: gem: Allow updating to a specific version.
  import: git: Allow updating to a specific version.
  import: github: Allow updating to a specific version.
  import: gnome: Allow updating to a specific version.
  import: hexpm: Allow updating to a specific version.
  import: kde: Allow updating to a specific version.
  import: launchpad: Allow updating to a specific version.
  import: pypi: Allow updating to a specific version.
  refresh: Allow updating to a specific version.
  upstream: Allow updating to a specific version.
  doc: Describe how to update to a specific version.

 doc/guix.texi             |  19 ++++
 guix/gnu-maintenance.scm  | 183 ++++++++++++++++++++++++--------------
 guix/import/cpan.scm      |  32 +++----
 guix/import/cran.scm      |  23 +++--
 guix/import/crate.scm     |  10 ++-
 guix/import/egg.scm       |  10 ++-
 guix/import/elpa.scm      |  11 ++-
 guix/import/gem.scm       |   7 +-
 guix/import/git.scm       |  39 +++++---
 guix/import/github.scm    |  36 +++++---
 guix/import/gnome.scm     |  47 ++++++----
 guix/import/gnu.scm       |   2 +-
 guix/import/hackage.scm   |  12 ++-
 guix/import/hexpm.scm     |   9 +-
 guix/import/kde.scm       |  61 +++++++------
 guix/import/launchpad.scm |  10 ++-
 guix/import/minetest.scm  |  12 ++-
 guix/import/opam.scm      |  11 ++-
 guix/import/pypi.scm      |  14 +--
 guix/import/stackage.scm  |  10 ++-
 guix/scripts/refresh.scm  |  49 +++++++---
 guix/upstream.scm         |  25 +++---
 tests/import-github.scm   |   2 +-
 tests/transformations.scm |   8 +-
 24 files changed, 416 insertions(+), 226 deletions(-)

base-commit: d241517d2cadac3122301b6260c0dfc9f3b383d6
-- 
2.30.6